# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

import os

__SUPPORTED_RUNTIME_CATALOG__ = ['R', 'Python', 'SSIS', 'Mleap']
"""
Single source of truth for the the different supported runtime types. Please 
do not mutate this dict. TODO: Move this to a configuration file.
"""

RUNTIMES = list(__SUPPORTED_RUNTIME_CATALOG__)
"""Defines the identifier for the different supported runtime types."""

IO_DELIM = ',(?=[\w_]+=)'
"""
Defines the argument deliminator on the commandline for inputs and outputs.
"""

TEMPLATE_URL = os.environ.get(
    'AZDATA_CLI_APP_TEMPLATE_URL',
    'https://github.com/Microsoft/SQLBDC-AppDeploy.git'
)
"""
The default application template location.
"""

TEMPLATE_DISPLAY_URL = TEMPLATE_URL
"""
Value shown during help.
"""
