# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

from azdata.cli.core.i18n import translate
from azdata.cli.core.commands import CliCommandsLoader

# pylint: disable=unused-import
_ = translate('azdata.cli.commands.bdc')
import azdata.cli.commands.bdc.help


class BdcCommandsLoader(CliCommandsLoader):

    def __init__(self, cli_ctx=None):
        super(BdcCommandsLoader, self).__init__(cli_ctx=cli_ctx)

    def load_command_table(self, args):
        from azdata.cli.commands.bdc.command_table import load_command_table
        load_command_table(self, args)
        return self.command_table

    def load_arguments(self, command):
        from azdata.cli.commands.bdc.arguments import load_arguments
        load_arguments(self, command)


COMMAND_LOADER_CLS = BdcCommandsLoader
