# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

from azdata.cli.core.commands import CliCommandGroup
from azdata.cli.commands.extension import client


def load_command_table(self, _):
    def ext_add_has_confirmed(command_args):
        from knack.prompting import prompt_y_n
        return bool(not command_args.get('source') or prompt_y_n(
            'Are you sure you want to install this extension?'))

    def ext_remove_has_confirmed(_):
        from knack.prompting import prompt_y_n
        return bool(prompt_y_n(
            'Are you sure you want to remove this extension?'))

    operations = 'azdata.cli.commands.extension.custom#{}'

    with CliCommandGroup(self, 'extension', operations,
                         client_factory=client.beget) as g:
        g.command(
            'add',
            'extension_add',
            confirmation=ext_add_has_confirmed
        )

        g.command(
            'remove',
            'extension_remove',
            confirmation=ext_remove_has_confirmed
        )

        g.command('list', 'extension_list')
