# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

from knack.help_files import helps
from azdata.cli.commands.notebook import _

# pylint: disable=line-too-long
helps['notebook'] = """
    type: group
    short-summary: {short}
""".format(short=_('Commands for viewing, running, and managing notebooks from a terminal.'))

# pylint: disable=line-too-long
helps['notebook view'] = """
    type: command
    short-summary: {short}
    long-summary: {long}
    examples:
        - name: {ex1}
          text: >
            azdata notebook view --path '/home/me/notebooks/demo_notebook.ipynb'
        - name: {ex2}
          text: >
            azdata notebook view --path '/home/me/notebooks/demo_notebook.ipynb' --stop-on-error
""".format(
    short=_('View a notebook.  Option to stop at first cell execution error.'),
    long=_('This command can take a notebook file and convert the markdown, code, and output to color terminal format.'),
    ex1=_('View notebook.  This shows all cells.'),
    ex2=_("View notebook.  This shows all cells unless a cell with error in it's output is encountered.  In that case the output stops."))

# pylint: disable=line-too-long
helps['notebook run'] = """
    type: command
    short-summary: {short}
    long-summary: {long}
    examples:
        - name: {ex1}
          text: >
            azdata notebook run --path '/home/me/notebooks/demo_notebook.ipynb'
""".format(
    short=_('Run a notebook.  Execution stops at the first error.'),
    long=_('This command creates a temporary directory and executes the given notebook within it as the working directory.'),
    ex1=_('Run notebook.'))

