# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

from knack.help_files import helps
from azdata.cli.commands.sql import _

helps[
    "sql"
] = """
    type: group
    short-summary: {short}
""".format(
    short=_(
        "The SQL DB CLI allows the user to interact with SQL Server via T-SQL."
    )
)

helps[
    "sql shell"
] = """
    type: command
    short-summary: {short}
    examples:
        - name: {ex1}
          text: >
            azdata sql shell
        - name: {ex2}
          text: >
            azdata sql shell --server localhost --username sa --database master         
""".format(
    short=_(
        "The SQL CLI allows the user to interact with SQL Server and Azure SQL via T-SQL."
    ),
    ex1=_("Example command line to start the interactive experience."),
    ex2=_("Example command line using a provided server, user, and database"),
)

# pylint: disable=line-too-long
helps[
    "sql query"
] = """
    type: command
    short-summary: {short}
    examples:
        - name: {ex1}
          text: >
            azdata sql query --server localhost --username sa --database master -q "SELECT name FROM SYS.TABLES"
""".format(
    short=_("The SQL CLI allows the user to interact with SQL Server and Azure SQL via T-SQL."),
    ex1=_(
        "Example command line to select the list of tables names."
    )
)
